package com.chinaitop.agile.model;

import java.util.Date;

public class DataKcglFcbgzDefault {
	private String dataid;

    private String unitid;

    private String periodid;

    private Byte roundid;

    private String builder;

    private Date builddate;

    private String editor;

    private Date modifydate;

    private String deptid;

    private String sytelinfoid;

    private String lkmc;

    private Integer ch;

    private Integer hwh;

    private String pz;

    private Date rq;

    private String wjh;

    private Double srsl;

    private Double zcsl;

    private Double kcsl;

    private String jzr;

    private String lkbm;

    private String mxpz;

    private String dj;

    private Date cjsj;

    private String hwxz;

    private String zy;

    private String olddataid;

    private String stockdataid;

    private Integer direction;

    private String hwcd;

    private String scnf;

    private String jjdh;

    private String hcph;

    /**
     * 收入实际数量，即毛重-皮重等到的数量
     */
    private Double srsjsl;

    /**
     * 支出实际数量，即毛重-皮重
     */
    private Double zcsjsl;

    /**
     * 库存实际数量
     */
    private Double kcsjsl;

    /**
     * 累计收入实际数量
     */
    private Double ljsrsjsl;

    /**
     * 累计支出实际数量
     */
    private Double ljzcsjsl;

    /**
     * 损失损耗
     */
    private Double sssh;

    /**
     * 本批水分
     */
    private Double bpsf;

    /**
     * 本批杂质
     */
    private Double bpzz;

    /**
     * 平均水分
     */
    private Double pjsf;

    /**
     * 平均杂质
     */
    private Double pjzz;

    /**
     * 折标水杂数量
     */
    private Double zbszsl;

    /**
     * 粮权归属
     */
    private String lqgs;

    //业务字段
    private String storehouseName;//仓房名称
    private String warehouseName;//货位名称
    private String accountingPerson;//记账人
    private String auditor;//审核人
    private Date rqs;//新的日期

    /**
     * 数据记录ID
     * @return DataID 数据记录ID
     */
    public String getDataid() {
        return dataid;
    }

    /**
     * 数据记录ID
     * @param dataid 数据记录ID
     */
    public void setDataid(String dataid) {
        this.dataid = dataid == null ? null : dataid.trim();
    }

    /**
     * 单位ID
     * @return UnitID 单位ID
     */
    public String getUnitid() {
        return unitid;
    }

    /**
     * 单位ID
     * @param unitid 单位ID
     */
    public void setUnitid(String unitid) {
        this.unitid = unitid == null ? null : unitid.trim();
    }

    /**
     * 期间ID
     * @return PeriodID 期间ID
     */
    public String getPeriodid() {
        return periodid;
    }

    /**
     * 期间ID
     * @param periodid 期间ID
     */
    public void setPeriodid(String periodid) {
        this.periodid = periodid == null ? null : periodid.trim();
    }

    /**
     * 舍位ID
     * @return RoundID 舍位ID
     */
    public Byte getRoundid() {
        return roundid;
    }

    /**
     * 舍位ID
     * @param roundid 舍位ID
     */
    public void setRoundid(Byte roundid) {
        this.roundid = roundid;
    }

    /**
     * 条目创建人
     * @return builder 条目创建人
     */
    public String getBuilder() {
        return builder;
    }

    /**
     * 条目创建人
     * @param builder 条目创建人
     */
    public void setBuilder(String builder) {
        this.builder = builder == null ? null : builder.trim();
    }

    /**
     * 创建时间
     * @return BuildDate 创建时间
     */
    public Date getBuilddate() {
        return builddate;
    }

    /**
     * 创建时间
     * @param builddate 创建时间
     */
    public void setBuilddate(Date builddate) {
        this.builddate = builddate;
    }

    /**
     * 最后一次修改人
     * @return editor 最后一次修改人
     */
    public String getEditor() {
        return editor;
    }

    /**
     * 最后一次修改人
     * @param editor 最后一次修改人
     */
    public void setEditor(String editor) {
        this.editor = editor == null ? null : editor.trim();
    }

    /**
     * 最后一次编辑时间
     * @return ModifyDate 最后一次编辑时间
     */
    public Date getModifydate() {
        return modifydate;
    }

    /**
     * 最后一次编辑时间
     * @param modifydate 最后一次编辑时间
     */
    public void setModifydate(Date modifydate) {
        this.modifydate = modifydate;
    }

    /**
     * 部门ID
     * @return DeptID 部门ID
     */
    public String getDeptid() {
        return deptid;
    }

    /**
     * 部门ID
     * @param deptid 部门ID
     */
    public void setDeptid(String deptid) {
        this.deptid = deptid == null ? null : deptid.trim();
    }

    /**
     * 样式Id
     * @return SytelInfoID 样式Id
     */
    public String getSytelinfoid() {
        return sytelinfoid;
    }

    /**
     * 样式Id
     * @param sytelinfoid 样式Id
     */
    public void setSytelinfoid(String sytelinfoid) {
        this.sytelinfoid = sytelinfoid == null ? null : sytelinfoid.trim();
    }

    /**
     * 粮库名称
     * @return lkmc 粮库名称
     */
    public String getLkmc() {
        return lkmc;
    }

    /**
     * 粮库名称
     * @param lkmc 粮库名称
     */
    public void setLkmc(String lkmc) {
        this.lkmc = lkmc == null ? null : lkmc.trim();
    }

    /**
     * 
     * @return ch 
     */
    public Integer getCh() {
        return ch;
    }

    /**
     * 
     * @param ch 
     */
    public void setCh(Integer ch) {
        this.ch = ch;
    }

    /**
     * 
     * @return hwh 
     */
    public Integer getHwh() {
        return hwh;
    }

    /**
     * 
     * @param hwh 
     */
    public void setHwh(Integer hwh) {
        this.hwh = hwh;
    }

    /**
     * 品种
     * @return pz 品种
     */
    public String getPz() {
        return pz;
    }

    /**
     * 品种
     * @param pz 品种
     */
    public void setPz(String pz) {
        this.pz = pz == null ? null : pz.trim();
    }

    /**
     * 
     * @return rq 
     */
    public Date getRq() {
        return rq;
    }

    /**
     * 
     * @param rq 
     */
    public void setRq(Date rq) {
        this.rq = rq;
    }

    /**
     * 
     * @return wjh 
     */
    public String getWjh() {
        return wjh;
    }

    /**
     * 
     * @param wjh 
     */
    public void setWjh(String wjh) {
        this.wjh = wjh == null ? null : wjh.trim();
    }

    /**
     * 收入数量
     * @return srsl 收入数量
     */
    public Double getSrsl() {
        return srsl;
    }

    /**
     * 收入数量
     * @param srsl 收入数量
     */
    public void setSrsl(Double srsl) {
        this.srsl = srsl;
    }

    /**
     * 支出数量
     * @return zcsl 支出数量
     */
    public Double getZcsl() {
        return zcsl;
    }

    /**
     * 支出数量
     * @param zcsl 支出数量
     */
    public void setZcsl(Double zcsl) {
        this.zcsl = zcsl;
    }

    /**
     * 库存数量
     * @return kcsl 库存数量
     */
    public Double getKcsl() {
        return kcsl;
    }

    /**
     * 库存数量
     * @param kcsl 库存数量
     */
    public void setKcsl(Double kcsl) {
        this.kcsl = kcsl;
    }

    /**
     * 记账人
     * @return jzr 记账人
     */
    public String getJzr() {
        return jzr;
    }

    /**
     * 记账人
     * @param jzr 记账人
     */
    public void setJzr(String jzr) {
        this.jzr = jzr == null ? null : jzr.trim();
    }

    /**
     * 
     * @return lkbm 
     */
    public String getLkbm() {
        return lkbm;
    }

    /**
     * 
     * @param lkbm 
     */
    public void setLkbm(String lkbm) {
        this.lkbm = lkbm == null ? null : lkbm.trim();
    }

    /**
     * 明细品种
     * @return mxpz 明细品种
     */
    public String getMxpz() {
        return mxpz;
    }

    /**
     * 明细品种
     * @param mxpz 明细品种
     */
    public void setMxpz(String mxpz) {
        this.mxpz = mxpz == null ? null : mxpz.trim();
    }

    /**
     * 等级
     * @return dj 等级
     */
    public String getDj() {
        return dj;
    }

    /**
     * 等级
     * @param dj 等级
     */
    public void setDj(String dj) {
        this.dj = dj == null ? null : dj.trim();
    }

    /**
     * 创建时间
     * @return cjsj 创建时间
     */
    public Date getCjsj() {
        return cjsj;
    }

    /**
     * 创建时间
     * @param cjsj 创建时间
     */
    public void setCjsj(Date cjsj) {
        this.cjsj = cjsj;
    }

    /**
     * 货物性质
     * @return hwxz 货物性质
     */
    public String getHwxz() {
        return hwxz;
    }

    /**
     * 货物性质
     * @param hwxz 货物性质
     */
    public void setHwxz(String hwxz) {
        this.hwxz = hwxz == null ? null : hwxz.trim();
    }

    /**
     * 摘要
     * @return zy 摘要
     */
    public String getZy() {
        return zy;
    }

    /**
     * 摘要
     * @param zy 摘要
     */
    public void setZy(String zy) {
        this.zy = zy == null ? null : zy.trim();
    }

    /**
     * 冲抵库存数据ID
     * @return OldDataID 冲抵库存数据ID
     */
    public String getOlddataid() {
        return olddataid;
    }

    /**
     * 冲抵库存数据ID
     * @param olddataid 冲抵库存数据ID
     */
    public void setOlddataid(String olddataid) {
        this.olddataid = olddataid == null ? null : olddataid.trim();
    }

    /**
     * 形成库存数据id
     * @return StockDataID 形成库存数据id
     */
    public String getStockdataid() {
        return stockdataid;
    }

    /**
     * 形成库存数据id
     * @param stockdataid 形成库存数据id
     */
    public void setStockdataid(String stockdataid) {
        this.stockdataid = stockdataid == null ? null : stockdataid.trim();
    }

    /**
     * 数据方向
     * @return Direction 数据方向
     */
    public Integer getDirection() {
        return direction;
    }

    /**
     * 数据方向
     * @param direction 数据方向
     */
    public void setDirection(Integer direction) {
        this.direction = direction;
    }

    /**
     * 货物产地
     * @return hwcd 货物产地
     */
    public String getHwcd() {
        return hwcd;
    }

    /**
     * 货物产地
     * @param hwcd 货物产地
     */
    public void setHwcd(String hwcd) {
        this.hwcd = hwcd == null ? null : hwcd.trim();
    }

    /**
     * 生产年份
     * @return scnf 生产年份
     */
    public String getScnf() {
        return scnf;
    }

    /**
     * 生产年份
     * @param scnf 生产年份
     */
    public void setScnf(String scnf) {
        this.scnf = scnf == null ? null : scnf.trim();
    }

    /**
     * 检斤单号
     * @return jjdh 检斤单号
     */
    public String getJjdh() {
        return jjdh;
    }

    /**
     * 检斤单号
     * @param jjdh 检斤单号
     */
    public void setJjdh(String jjdh) {
        this.jjdh = jjdh == null ? null : jjdh.trim();
    }

    /**
     * 
     * @return hcph 
     */
    public String getHcph() {
        return hcph;
    }

    /**
     * 
     * @param hcph 
     */
    public void setHcph(String hcph) {
        this.hcph = hcph == null ? null : hcph.trim();
    }

	public String getStorehouseName() {
		return storehouseName;
	}

	public void setStorehouseName(String storehouseName) {
		this.storehouseName = storehouseName;
	}

	public String getWarehouseName() {
		return warehouseName;
	}

	public void setWarehouseName(String warehouseName) {
		this.warehouseName = warehouseName;
	}

	public String getAccountingPerson() {
		return accountingPerson;
	}

	public void setAccountingPerson(String accountingPerson) {
		this.accountingPerson = accountingPerson;
	}

	public String getAuditor() {
		return auditor;
	}

	public void setAuditor(String auditor) {
		this.auditor = auditor;
	}

    public Double getSrsjsl() {
        return srsjsl;
    }

    public void setSrsjsl(Double srsjsl) {
        this.srsjsl = srsjsl;
    }

    public Double getZcsjsl() {
        return zcsjsl;
    }

    public void setZcsjsl(Double zcsjsl) {
        this.zcsjsl = zcsjsl;
    }

    public Double getKcsjsl() {
        return kcsjsl;
    }

    public void setKcsjsl(Double kcsjsl) {
        this.kcsjsl = kcsjsl;
    }

    public Double getLjsrsjsl() {
        return ljsrsjsl;
    }

    public void setLjsrsjsl(Double ljsrsjsl) {
        this.ljsrsjsl = ljsrsjsl;
    }

    public Double getLjzcsjsl() {
        return ljzcsjsl;
    }

    public void setLjzcsjsl(Double ljzcsjsl) {
        this.ljzcsjsl = ljzcsjsl;
    }

    public Double getSssh() {
        return sssh;
    }

    public void setSssh(Double sssh) {
        this.sssh = sssh;
    }

    public Double getBpsf() {
        return bpsf;
    }

    public void setBpsf(Double bpsf) {
        this.bpsf = bpsf;
    }

    public Double getBpzz() {
        return bpzz;
    }

    public void setBpzz(Double bpzz) {
        this.bpzz = bpzz;
    }

    public Double getPjsf() {
        return pjsf;
    }

    public void setPjsf(Double pjsf) {
        this.pjsf = pjsf;
    }

    public Double getPjzz() {
        return pjzz;
    }

    public void setPjzz(Double pjzz) {
        this.pjzz = pjzz;
    }

    public Double getZbszsl() {
        return zbszsl;
    }

    public void setZbszsl(Double zbszsl) {
        this.zbszsl = zbszsl;
    }

    public String getLqgs() {
        return lqgs;
    }

    public void setLqgs(String lqgs) {
        this.lqgs = lqgs;
    }

    public Date getRqs() {
        return rqs;
    }

    public void setRqs(Date rqs) {
        this.rqs = rqs;
    }
}